Package org.eclipse.microprofile.rest.client.tck.cditests

# Class ClientClosedTest

java.lang.Object
org.jboss.arquillian.testng.Arquillian
org.eclipse.microprofile.rest.client.tck.cditests.ClientClosedTest

All Implemented Interfaces:
  `org.testng.IHookable`, `org.testng.ITestNGListener`

public class ClientClosedTest extends org.jboss.arquillian.testng.Arquillian
Tests that clients are closed when destroyed by the CDI container.

Author:
  James R. Perkins

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ClientClosedTest.RestActivator`

## Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

## Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

## Constructor Summary

Constructors
Constructor
Description
`ClientClosedTest()`

## Method Summary

Modifier and Type
Method
Description
`void`
`autoCloseableClosed()`
Test that a client which extends `AutoCloseable` is closed when the CDI bean is destroyed.
`void`
`closeableClosed()`
Test that a client which extends `Closeable` is closed when the CDI bean is destroyed.
`static org.jboss.shrinkwrap.api.Archive<?>`
`createDeployment()`
`void`
`stringClosed()`
Tests that a client that does not explicitly extend `Closeable` or `AutoCloseable` is closed when the CDI bean is destroyed.

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClientClosedTest

public ClientClosedTest()

## Method Details

### createDeployment

@Deployment public static org.jboss.shrinkwrap.api.Archive<?> createDeployment()

### stringClosed

public void stringClosed()
Tests that a client that does not explicitly extend `Closeable` or `AutoCloseable` is closed when the CDI bean is destroyed.

### autoCloseableClosed

public void autoCloseableClosed()
Test that a client which extends `AutoCloseable` is closed when the CDI bean is destroyed.

### closeableClosed

public void closeableClosed()
Test that a client which extends `Closeable` is closed when the CDI bean is destroyed.